## IPv6 only kubernetes clusters

This project is testing, deploying and using IPv6 only k8s clusters.

## Docs

* [Setting up the cluster with calico](v3-calico/README.md)
* [Bootstrapping Rook](rook/README.md)

## Working

* networking (calico)
* ceph with rook (cephfs, rbd)

## Not (yet) working or tested

* virtualisation (VMs, kubevirt)
* letsencrypt
* network policies
* prometheus in the cluster
* argocd (?) for CI and upgrades
* Maybe LoadBalancer support (our ClusterIP already does that though)
* (Other) DNS entrys for services

## Cluster setup

* Calico CNI with BGP peering to our upstream infrastructure
* Rook for RBD and CephFS support

### Init

We are using a custom kubeadm.conf to

* configure the cgroupdriver
* configure the IP addresses

```
kubeadm init --config v3-calico/kubeadm-config-p7-v2.yaml
```
